// #######################################################################
// ### IntegerDaten.java                                               ###
// ### Verwaltung von Integer-Datenobjekten                            ###
// ### Verantwortlich: Thomas Dreibholz, Dreibholz@bigfoot.com         ###
// #######################################################################


package puma.database;


import java.io.*;
import java.util.*;


// ****** IntegerDaten ****************************************************
public class IntegerDaten implements Datenobjekt
{
   private String beschreibung;
   private int    daten;


   // ###### Konstruktor #################################################   
   public IntegerDaten(String nBeschreibung, int nDaten) {
      beschreibung = nBeschreibung;
      daten        = nDaten;   
   }

   
   // ###### Vergleich mit anderem IntegerDaten-Objekt ####################
   public boolean equals(IntegerDaten vergleich) {
      return( (beschreibung == vergleich.beschreibung) &&
              (daten == vergleich.daten) );
   }

   
   // ###### Eingabetyp als String zurckgeben ###########################
   public String EingabeTyp() {
      return("INTEGER");
   }

   
   // ###### Beschreibung zurckgeben ####################################
   public String Beschreibung() {
      return(beschreibung);
   }


   // ###### Inhalt zurckgeben ##########################################
   public String Inhalt() {
      return(new String("" + daten));
   }


   // ###### Inhalt als Integer zurckgeben ##############################
   public int InhaltInteger() {
      return(daten);
   }
   
      
   // ###### Inhalt ndern ###############################################
   public void Aendern(String neu) {
      daten = (new Integer(neu)).intValue();
   }


   // ###### Inhalt ndern ###############################################
   public void AendernInteger(int neu) {
      daten = neu;
   }
                
                  
   // ###### Ausgabe #####################################################
   public void Ausgabe() {
      System.out.println(toString());
   }


   // ###### Umwandlung in String ########################################
   public String toString() {
      return(beschreibung + " = " + daten);
   }                                 
}
