// #######################################################################
// ### DatenobjektTest.java                                            ###
// ### Test der Datenobjekte                                           ###
// ### Verantwortlich: Thomas Dreibholz, Dreibholz@bigfoot.com         ###
// #######################################################################
package puma.database.testing;

import java.io.*;
import java.sql.*;

import puma.database.Datenobjekt;
import puma.database.Liste;
import puma.database.StringDaten;
import puma.database.IntegerDaten;


// Test-Klasse
class DatenobjektTest
{
   public static void main(String args[]) {
      try {
         // **************************************************************

         System.out.println("\n*** Listen-Vergleich");

         Liste l1 = new Liste();
         Liste l2 = new Liste();
         l1.Anfuegen(new IntegerDaten("A",1234));
         l1.Anfuegen(new StringDaten("B","TEST1"));
         l1.Anfuegen(new StringDaten(null,null));
         l1.Anfuegen(new IntegerDaten("A",3333));
         l1.Anfuegen(new StringDaten("B","TEST2"));
         l1.Anfuegen(new StringDaten(null,null));

         l2.Anfuegen(new IntegerDaten("A",1234));
         l2.Anfuegen(new StringDaten("B","TEST1"));
         l2.Anfuegen(new StringDaten(null,null));
         l2.Anfuegen(new StringDaten("B","TEST2"));
         l2.Anfuegen(new IntegerDaten("A",3333));
         l2.Anfuegen(new StringDaten(null,null));
         
         if(l1.equals(l2))
            System.out.println("OK");
         else
            System.out.println("FEHLER!");

         
         l1.Anfuegen(new IntegerDaten("C",1234));   
         l2.Anfuegen(new IntegerDaten("C",5000));
         if(!l1.equals(l2))
            System.out.println("OK");
         else
            System.out.println("FEHLER!");
            
            
         System.out.println("\nAusgabe-Test:\n" + l1);         
         
         // ***************************************************************         
      } catch(Exception e) {
         System.err.println("FEHLER: " + e);
      }
   }  
}
