package puma.control;

import puma.database.*;

/** Klasse, die Ermittlung der Ausleihliste eines Benutzers kapselt
 *  @author Sven Mller
 */
public class Ausleihliste {
   /** personID des Benutzers
    */
   protected int personID = 0;
   
   /** Konstruktor, der einen User-Namen bergeben bekommt und fr diesen
    *  Benutzer die ID ermittelt
    *  @param userName Der Benutzername.
    *  @exception java.sql.SQLException Falls ein Fehler bei der Umwandlung 
    *   Benutzer-Name/ID auftritt.    
    */ 
   public Ausleihliste(int userID) throws java.sql.SQLException {
      personID = userID;
   }
   
  /** Liefert das Ergebnis der Datenbankanfrage nach der Ausleihliste eines
   *  Benutzers zurck
   *  @return Ergebnis der Anfrage als Liste.
   *  @exception puma.database.OperationException Falls ein Fehler bei der Anfrage auftritt.
   */  
   public Liste deliverResult() throws OperationException {
      return Operationen.getInstance().getAusleihliste(personID);      
   }
   
}
