package puma.control;

import puma.database.*;

/** Klasse, die Suchanfrage bzgl. Instanzen zu einer Publikation kapselt.
 *  @author Sven Mller
 */
public class I_Suchen {
   /** Signatur der zu Grund liegenden Publikation
    */
   protected String signatur = null;
   
   /** Standard-Konstruktor
    *  @param signatur Signatur der Publikation, deren Instanzen gesucht werden sollen.
    */
   public I_Suchen(String signatur) {
      this.signatur = signatur;
   }
   
   /** Anfrage ausfhren.
	 *  @return Suchergebnis als Liste (mit i.a. mehreren Datenstzen)
	 *  @exception puma.database.OperationException Falls bei der Anfrage ein Fehler auftritt.
	 */
   public Liste deliverResult() throws OperationException {      
      return Operationen.getInstance().instanzenVonPubl(signatur);   	      
   }
   
}
